Subject: Re: [RFC PATCH 1/2] Allow "git log --grep foo" as synonym for "git log --grep=foo".

From: Matthieu Moy <[email-masked]>
Date: Tue, 27 Jul 2010 13:56:33 +0200

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Mon, Jul 26, 2010 at 18:14, Matthieu Moy <[email-masked]> wrote:
>
>> +       } else if (!strcmp(arg, "--grep")) {
>> +               add_message_grep(revs, optarg);
>> +               return 2;
>
> This looks good. I've been bitten by git-log's non-standard option
> parsing. But there's still a lot of options that need the =, no?:

Sure, that's why the patch is just an RFC. I wanted to start the
discussion before diving into the repetitive task or migration to
parse-option for others, and I picked --grep and -S because they're
the ones which annoys me the most.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/